| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Public Attributes | Static Private Attributes | List of all members
easywebdav.client.OperationFailed Class Reference
Inheritance diagram for easywebdav.client.OperationFailed:

## Public Member Functions
def | __init__

## Public Attributes
| method
| path
| expected_code
| actual_code
| reason

## Static Private Attributes
tuple | _OPERATIONS

## Constructor & Destructor Documentation

def easywebdav.client.OperationFailed.__init__ | ( |  | self,
|  |  | method,
|  |  | path,
|  |  | expected_code,
|  |  | actual_code
| ) |  |

## Member Data Documentation

tuple easywebdav.client.OperationFailed._OPERATIONS
| static private

Initial value:
1 = dict(
2 HEAD = "get header",
3 GET = "download",
4 PUT = "upload",
5 DELETE = "delete",
6 MKCOL = "create directory",
7 PROPFIND = "list directory",
8 )

easywebdav.client.OperationFailed.actual_code

easywebdav.client.OperationFailed.expected_code

easywebdav.client.OperationFailed.method

easywebdav.client.OperationFailed.path

easywebdav.client.OperationFailed.reason

The documentation for this class was generated from the following file:

- util/zotsh/easywebdav/client.py